For the complete documentation index, see llms.txt. This page is also available as Markdown.

Note

Perform various operations on note records.

Symitar eDocs References: Coming soon.

Operations

getNote

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
NoteLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getNote
POST /nexum/627/2022.01/account/getNote HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "NoteLocator": 262,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Note": {
    "Locator": 262,
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getNote"
}

getNoteSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
NoteLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getNoteSelectFields
POST /nexum/627/2022.01/account/getNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 377

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "NoteLocator": 262,
  "SelectableFields": {
    "IncludeAllNoteFields": false,
    "NoteFields": {
      "Locator": true,
      "Id": true,
      "IdType": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true,
      "VoidFlag": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Note": {
    "Locator": 262,
    "Id": null,
    "IdType": 3,
    "Code": 0,
    "EnterDate": "2010-05-08",
    "ExpirationDate": null,
    "RecordChangeDate": "2010-05-08",
    "VoidFlag": 0
  },
  "MessageId": "getNoteSelectFields"
}

getNotePagedList

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getNotePagedList
POST /nexum/627/2022.01/account/getNotePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 243

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Note": [],
  "Token": null,
  "MessageId": "getNotePagedList"
}

getNoteListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
post/getNoteListSelectFields
POST /nexum/627/2022.01/account/getNoteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 213

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "SelectableFields": {
    "IncludeAllNoteFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "NoteList": [],
  "MessageId": "getNoteListSelectFields"
}

searchNoteSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
post/searchNoteSelectFields
POST /nexum/627/2022.01/account/searchNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 254

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "SelectableFields": {
    "IncludeAllNoteFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "NoteList": [],
  "MessageId": "searchNoteSelectFields"
}

getNotePagedListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getNotePagedListSelectFields
POST /nexum/627/2022.01/account/getNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 438

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllNoteFields": false,
    "NoteFields": {
      "Locator": true,
      "Id": true,
      "IdType": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true,
      "VoidFlag": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Note": [
    {
      "Locator": 262,
      "Id": null,
      "IdType": 3,
      "Code": 0,
      "EnterDate": "2010-05-08",
      "ExpirationDate": null,
      "RecordChangeDate": "2010-05-08",
      "VoidFlag": 0
    },
    {
      "Locator": 261,
      "Id": null,
      "IdType": 3,
      "Code": 0,
      "EnterDate": "2010-05-08",
      "ExpirationDate": null,
      "RecordChangeDate": "2010-05-08",
      "VoidFlag": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getNotePagedListSelectFields"
}

searchNotePagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchNotePagedSelectFields
POST /nexum/627/2022.01/account/searchNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 460

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "Query": "LOCATOR=262",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllNoteFields": false,
    "NoteFields": {
      "Locator": true,
      "Id": true,
      "IdType": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true,
      "VoidFlag": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Note": [
    {
      "Locator": 262,
      "Id": null,
      "IdType": 3,
      "Code": 0,
      "EnterDate": "2010-05-08",
      "ExpirationDate": null,
      "RecordChangeDate": "2010-05-08",
      "VoidFlag": 0
    }
  ],
  "Token": null,
  "MessageId": "searchNotePagedSelectFields"
}

updateNoteByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
NoteLocatorintegerOptional
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
post/updateNoteByID
POST /nexum/627/2022.01/account/updateNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 274

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "NoteLocator": 268,
  "NoteUpdatableFields": {
    "Code": 0,
    "Text": [
      {
        "EntryId": 1,
        "Text": "NEXUM W4 2022 NOTE UPDATED"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateNoteByID"
}

createNote

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
NoteLocatorintegerOptional
post/createNote
POST /nexum/627/2022.01/account/createNote HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 248

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "NoteCreatableFields": {
    "Code": 0,
    "Text": [
      {
        "EntryId": 1,
        "Text": "NEXUM W4 2022 NOTE"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "NoteLocator": 268,
  "MessageId": "createNote"
}

deleteNote

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
NoteLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteNote
POST /nexum/627/2022.01/account/deleteNote HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "NoteLocator": 268,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deleteNote"
}

Last updated

Was this helpful?